## IdeDebuggerThread IdeDebuggerThread |

## Functions

gint | ide_debugger_thread_compare ()
IdeDebuggerThread * | ide_debugger_thread_new ()
const gchar * | ide_debugger_thread_get_id ()
const gchar * | ide_debugger_thread_get_group ()
void | ide_debugger_thread_set_group ()

## Properties

gchar * | group | Read / Write
gchar * | id | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_DEBUGGER_THREAD
struct | IdeDebuggerThreadClass
| IdeDebuggerThread

## Object Hierarchy

        GObject
        ╰── IdeDebuggerThread

## Description

## Functions

### ide_debugger_thread_compare ()

    gint
    ide_debugger_thread_compare (IdeDebuggerThread *a,
                                 IdeDebuggerThread *b);

### ide_debugger_thread_new ()

    IdeDebuggerThread *
    ide_debugger_thread_new (const gchar *id);

### ide_debugger_thread_get_id ()

    const gchar *
    ide_debugger_thread_get_id (IdeDebuggerThread *self);

### ide_debugger_thread_get_group ()

    const gchar *
    ide_debugger_thread_get_group (IdeDebuggerThread *self);

### ide_debugger_thread_set_group ()

    void
    ide_debugger_thread_set_group (IdeDebuggerThread *self,
                                   const gchar *thread_group);

## Types and Values

### IDE_TYPE_DEBUGGER_THREAD

    #define IDE_TYPE_DEBUGGER_THREAD (ide_debugger_thread_get_type())

### struct IdeDebuggerThreadClass

    struct IdeDebuggerThreadClass {
      GObjectClass parent_class;
    };

### IdeDebuggerThread

    typedef struct _IdeDebuggerThread IdeDebuggerThread;

## Property Details

### The `“group”` property

      “group”                    gchar *

The thread group, if any.

Owner: IdeDebuggerThread

Flags: Read / Write

Default value: NULL

### The `“id”` property

      “id”                       gchar *

The thread identifier.

Owner: IdeDebuggerThread

Flags: Read / Write / Construct Only

Default value: NULL